Subject: bug#12767: 24.1; ispell-buffer checks code as well as comments when in flyspell-prog-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 01 Jun 2021 09:09:05 +0200

Agustin Martin <[email-masked]> writes:

> On Tue, Oct 30, 2012 at 01:19:48PM +0000, Reuben Thomas wrote:
>> Although I've selected flyspell-prog-mode so that only comments are
>> checked by flyspell, ispell-buffer checks everything,
>> counter-intuitively and annoyingly.
>> 
>> I sympathise with this from the point of view of the underlying code's
>> structure, but it's odd from a user-interface point of view.
>
> ispell.el and flyspell.el control this separately, see
> `ispell-check-comments'.

Indeed, so there's already functionality for this in ispell, and I'm
closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no